#### 1 如果你有之前的版本，请将文件移至其他位置

#### 2 现在 Maya 2022 和 2023 使用相同的 DNA Calibration

安装 DNA_Calibration 1.1.0 (https://github.com/EpicGames/MetaHuman-DNA-Calibration/archive/refs/tags/1.1.0.zip) 将文件解压到 C 盘并将主文件夹重命名为 dna_calibration。

#### 3 进入下载的文件夹并在文本框中输入"cmd"。控制面板将会弹出

输入 "python metapipe.py"

或者如果上述方法不起作用，可以选择其他解决方案

- 复制所有 python 文件并粘贴到 "c:/Arts and Spells/Scripts" (推荐)。

- 打开 "MetaPipeStudioSource.py" 并修改以下版本信息

* ROOT_DIR
* MAYA_VERSION
* dnaPath
* body_type

- 修改完成后将文件另存为 "dat.py" 并保存在 "c:/Arts and Spells/Scripts" 中

#### 4 - 复制插件

前往此路径 "Documents\Megascans Library\support\plugins\maya\7.0\MSLiveLink\DHI\plugins\Windows\2023" (7.0 是当前 MSLiveLink 版本，可能会变更) 并复制 embeddedRL4.mll 文件

#### 5 - 在 "Documents/Megascans Library/support/plugins/maya/7.0/MSLiveLink/" 中创建名为 "plug-ins" 的文件夹，并将文件粘贴其中。

#### 6 - 按照教程使用

#### 7 - 如果你有任何问题，欢迎在 Discord 或 Artstation 上询问！祝使用愉快！

身体构建自动代码:

```
import sys

sys.path.append("c:/Arts and Spells/Scripts")
import Body_Prep
Body_Prep.run()
```

#### Metapipe 架构编辑器代码:

```
import sys

sys.path.append("c:/Arts and Spells/Scripts")
import MetaPipeStudio
MetaPipeStudio.show_dna_edit_window()
```

修正混合变形安装:

* 1 - 复制 extractDerltas.py 并粘贴到 Maya 插件文件夹 --> documents/maya/"""2023/2022"""/plug-ins
* 2 - 复制 correctiveBlendshape.txt 文件中的文本并粘贴到 Maya 架构编辑器的 "MEL SCRIPT TAB" 中
* 3 - 在 Maya 中启用 extractDeltas 插件 - Windows - Settings and Preferences - Plugin Manager
* 4 - 将 bsIndex.py 文件复制粘贴到 C:/Arts and Spells/Scripts (推荐) 或修改架构编辑器中的 correctiveBlendshape 代码并设置你的路径。


